SIRIKALI(1)

NAME

sirikali -- manage user encrypted volumes

SYNOPSIS

sirikali [options]

DESCRIPTION

sirikali provides a graphical user interface for managing encrypted volumes for a user.

The actual mounting/encryption process is managed by another service. The supported services are CryFS, EncFS, GocryptFS, and SecureFS. At least one of these services must be installed.

Encrypted volumes are created using the "Create Volume" menu. The encrypted data is stored at the "Volume Path". For normal password protection, use the "Key" option.

To unmount a volume, click on the volume path and select 'Unmount'.

To mount an existing volume, select "Mount Volume", select the directory containing the encrypted data, and enter the key information.

Options:

-d dir
    Path to where a volume to be auto unlocked/mounted is located.

-m tool
    Tool to use to open a default file manager(default tool is xdg-open).

-e  Start the application without showing the GUI.

-b backend
    A name of a backend to retrieve a password from when a volume is open from CLI. Supported backends are: "internal","stdin","keyfile","kwallet" and "libsecret". The first three are always present but the rest are compile time dependencies.

"internal" option causes SiriKali to read password from lxqt-wallet internal backend.

"stdin" option causes SiriKali to read the password from standard input.

"keyfile" option causes SiriKali to read the password from a file.

"libsecret" option causes SiriKali to read password from lxqt-wallet libsecret backend.

"kwallet" option causes SiriKali to read password from lxqt-wallet kwallet backend.

-k val
    When opening a volume from CLI,a value of "rw" will open the volume in read mode and a value of "ro" will open the volume in read only mode.

-z path
    Full path of the mount point to be used when the volume is opened from CLI. This option is optional.

-c path
    Set Volume Configuration File Path when a volume is opened from CLI.

-i min
    Set inactivity timeout(in minutes) to dismount the volume when mounted from CLI.

-o val
    Set mount options when mounting a volume from CLI.

-u path
    Unmount volume.

-p  Print a list of unlocked volumes.

-f path
    Path to keyfile.

-s  Option to trigger generation of password hash.

-h, --help
    Show a help message.

SEE ALSO

cryfs(1), encfs(1), gocryptfs(1)